For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retouren Handling

Process returns in VARIO Cloud via API, from receiving scans and matching documents to validating items, quantities, return causes and processing steps.

Return receiving and processing.

Process an input for the return receiving

post
Body
inputDatastringOptional

User input or scan.

returnReceivingIdinteger · int64Optional

Running process identifier.

returnReceivingLineIdinteger · int64Optional

Specific line identifier (optional).

quantitynumberOptional

Quantity (optional).

actionstring · enumOptional

Action to perform.

Possible values:
chosenAccountIdinteger · int64Optional

Selected account.

chosenDocumentIdinteger · int64Optional

Selected document.

chosenDocumentLineIdinteger · int64Optional

Selected document line.

chosenReturnReceivingComponentInfoIdinteger · int64Optional

Selected component information of the return receiving line.

Responses
200

successful operation

application/json
returnReceivingNumberstringOptional

Process number.

returnReceivingStatestringOptional

Process status.

lineCountinteger · int32Optional

Number of lines in the process.

currentReturnReceivingLineIdinteger · int64Optional

Currently selected line identifier.

unknownArticleInputsstring[]Optional

Scanned inputs for unknown articles.

post/rma/returns/receiving/process-input
POST /rma/returns/receiving/process-input HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "inputData": "text",
  "returnReceivingId": 1,
  "returnReceivingLineId": 1,
  "quantity": 1,
  "action": "NONE",
  "chosenAccountId": 1,
  "chosenDocumentId": 1,
  "chosenDocumentLineId": 1,
  "chosenReturnReceivingComponentInfoId": 1
}
{
  "message": {
    "messageCode": "text",
    "messageParameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    },
    "formattedMessage": "text"
  },
  "returnReceivingRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "returnReceivingNumber": "text",
  "returnReceivingState": "text",
  "returnCauseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "lineCount": 1,
  "lines": [],
  "currentReturnReceivingLineId": 1,
  "unknownArticleInputs": [
    "text"
  ],
  "documentRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "storageBinRef": {
    "id": 1,
    "displayName": "text",
    "routePosition": 1,
    "color": "text",
    "storageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "articleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "serialNumberRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "candidateDocumentLines": []
}

Process an input for the return processing

post
Body
inputDatastringOptional

User input or scan.

returnReceivingIdinteger · int64Optional

Running process identifier.

returnReceivingLineIdinteger · int64Optional

Specific line identifier (optional).

quantitynumberOptional

Quantity (optional).

actionstring · enumOptional

Action to perform.

Possible values:
Responses
200

successful operation

application/json
returnReceivingNumberstringOptional

Process number.

returnReceivingStatestringOptional

Process status.

lineCountinteger · int32Optional

Number of lines in the process.

currentReturnReceivingLineIdinteger · int64Optional

Currently selected line identifier.

unknownArticleInputsstring[]Optional

Scanned inputs for unknown articles.

post/rma/returns/processing/process-input
POST /rma/returns/processing/process-input HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "inputData": "text",
  "returnReceivingId": 1,
  "returnReceivingLineId": 1,
  "quantity": 1,
  "action": "NONE"
}
{
  "message": {
    "messageCode": "text",
    "messageParameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    },
    "formattedMessage": "text"
  },
  "returnReceivingRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "returnReceivingNumber": "text",
  "returnReceivingState": "text",
  "returnCauseRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "lineCount": 1,
  "lines": [],
  "currentReturnReceivingLineId": 1,
  "unknownArticleInputs": [
    "text"
  ]
}

Last updated

Was this helpful?